(********************************************************************)
(*  OCaml code from the book ``Learn Programming with OCaml''       *)
(*  See https://usr.lmf.cnrs.fr/lpo/                                *)
(*                                                                  *)
(*  Sylvain Conchon and Jean-Christophe Filliâtre                   *)
(*  Copyright 2025 Université Paris-Saclay and CNRS                 *)
(*                                                                  *)
(*  Openly licensed via CC BY SA 4.0                                *)
(*  See https://creativecommons.org/licenses/by-sa/4.0/deed.en      *)
(********************************************************************)

(* Program 98 on page 414
   Graph Algorithms *)

  type graph
  type vertex
  val iter_vertex: (vertex -> unit) -> graph -> unit
  val iter_succ: (vertex -> unit) -> graph -> vertex -> unit
  module H: HashTable with type key = vertex
